




#ifndef XPATHNODEDYNAMIC_H
#define XPATHNODEDYNAMIC_H

#include "xasset.h"

class XPathNodeDynamic : public XAsset
{
public:
    explicit XPathNodeDynamic();

    void ParseData(QDataStream *aStream) override;

    void* GetOwner() const;
    void SetOwner(void* owner);

    int GetFreeTime() const;
    void SetFreeTime(int time);

    const int* GetValidTime() const;
    void SetValidTime(const int* times, size_t count = 3);

    int GetPlayerLostTime() const;
    void SetPlayerLostTime(int time);

    short GetLinkCount() const;
    void SetLinkCount(short count);

    short GetOverlapCount() const;
    void SetOverlapCount(short count);

    short GetTurretEntNumber() const;
    void SetTurretEntNumber(short number);

    short GetUserCount() const;
    void SetUserCount(short count);

private:
    void* mOwner = nullptr;
    int mFreeTime = 0;
    int mValidTime[3] = {0, 0, 0};
    int mPlayerLostTime = 0;
    short mLinkCount = 0;
    short mOverlapCount = 0;
    short mTurretEntNumber = 0;
    short mUserCount = 0;
};

#endif // XPATHNODEDYNAMIC_H




